<?php

/**
 * @file
 * Bulk export of finder_default objects generated by Bulk export module.
 */

/**
 * Implements hook_finder_default_finders().
 */
function finder_finder_default_finders() {
  $finders = array();

  $finder = new finder;
  $finder->disabled = FALSE; /* Edit this to true to make a default finder disabled initially */
  $finder->api_version = 2;
  $finder->name = 'content_finder';
  $finder->views_view = 'finder_node';
  $finder->views_display = 'page_1';
  $finder->title = 'Content finder';
  $finder->description = 'This is an example finder that finds nodes by title using an autocomplete element.';
  $finder->path = 'content-finder';
  $finder->block = TRUE;
  $finder->status = TRUE;
  $finder->settings = array(
    'search_tab' => 'node',
    'block' => TRUE,
    'form_on_page' => TRUE,
    'find_button' => TRUE,
    'find_text' => 'Find',
    'go_button' => TRUE,
    'go_text' => 'Go',
    'ajax_effect' => 'none',
    'show_results' => 'completed',
    'results_style' => 'views',
    'no_results' => 'default',
    'pager' => 10,
    'redirect' => 'never',
    'element_logic' => 'AND',
    'url' => 'enabled',
    'url_delimiter' => ',',
  );
  $finder->elements = array(
    'title' => (object) array(
      'id' => 'title',
      'finder' => 'content_finder',
      'settings' => array(
        'field_logic' => 'OR',
        'value_logic' => 'AND',
        'match' => 'e',
        'fields' => array(
          'node.title' => (object) array(
            'table' => 'node',
            'field' => 'title',
            'relationship' => NULL,
          ),
        ),
        'max_suggestions' => 10,
        'autocomplete_field_logic' => 'OR',
        'autocomplete_value_logic' => 'OR',
        'autocomplete_match' => 'c',
      ),
      'title' => 'Title',
      'element' => 'autocomplete',
      'weight' => 0,
      'parent' => NULL,
    ),
  );
  $finders['content_finder'] = $finder;


  $finder = new finder;
  $finder->disabled = FALSE; /* Edit this to true to make a default finder disabled initially */
  $finder->api_version = 2;
  $finder->name = 'people_finder';
  $finder->views_view = 'finder_user';
  $finder->views_display = 'page_1';
  $finder->title = 'People finder';
  $finder->description = 'This is an example finder that finds people by name using an autocomplete element.';
  $finder->path = 'people-finder';
  $finder->block = TRUE;
  $finder->status = TRUE;
  $finder->settings = array(
    'search_tab' => 'node',
    'block' => TRUE,
    'form_on_page' => TRUE,
    'find_button' => TRUE,
    'find_text' => 'Find',
    'go_button' => TRUE,
    'go_text' => 'Go',
    'ajax_effect' => 'none',
    'show_results' => 'completed',
    'results_style' => 'views',
    'no_results' => 'default',
    'pager' => 10,
    'redirect' => 'never',
    'element_logic' => 'AND',
    'url' => 'enabled',
    'url_delimiter' => ',',
  );
  $finder->elements = array(
    'name' => (object) array(
      'id' => 'name',
      'finder' => 'people_finder',
      'settings' => array(
        'field_logic' => 'OR',
        'value_logic' => 'AND',
        'match' => 'e',
        'fields' => array(
          'users.name' => (object) array(
            'table' => 'users',
            'field' => 'name',
            'relationship' => NULL,
          ),
        ),
        'max_suggestions' => 10,
        'autocomplete_field_logic' => 'OR',
        'autocomplete_value_logic' => 'OR',
        'autocomplete_match' => 'c',
      ),
      'title' => 'Name',
      'element' => 'autocomplete',
      'weight' => 0,
      'parent' => NULL,
    ),
  );
  $finders['people_finder'] = $finder;

  return $finders;
}
